Skip to main content
cURL
curl --request GET \
  --url https://sigmaprod.sabipay.com/api/v1/upload \
  --header 'apiKey: <api-key>' \
  --header 'apiSecret: <api-key>'
{
  "message": "Signed url for upload generated successfully",
  "data": {
    "key": "2023-06-22/75abbbdf-e8ee-40c2-9ca6-e7310cb7b757.gz",
    "url": "https://sigma-upload.s3.us-east-2.amazonaws.com/2023-06-22/75abbbdf-e8ee-40c2-9ca6-e7310cb7b757.gz?..."
  }
}

Documentation Index

Fetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
apiSecret
string
header
required

Query Parameters

fileType
string
required

Type of the file to be uploaded

Example:

"gz"

access
string
required

Access level of the uploaded file

Example:

"private"

Response

Upload response

message
string

Message after upload URL is generated

Example:

"Signed url for upload generated successfully"

data
object